HINO Bugs - Bug #966

[Time Management] - Generate Absence Quota Berdasarkan Hiring Date

03/14/2022 09:36 AM - ikawati basri

Status: Closed
Priority: Immediate
Assignee: ikawati basri
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

03/14/2022
03/18/2022
0%

0.00 hour
1.00 hour

Description
Dear Mba Yooma,

Di Hino ada case yang mirip dengan skenario di BMS (project Migrasi) yang issue redminenya:

http:/remote.minovais.com:3000/redmine/issues/846

Modul Generate Absence Quotanya belum sukses running, saat dilakukan execute proses loading tidak selesai (loading terus).

App: http://remote.minovais.com:61120/

Human Resource > HR Administration > Time Management > Generate Absence Quota

Db :192.168.3.105

MINOVAIS-SERVER/MSSQLSERVER2019/MinovaES_HINO_Prod/PHRPA0017

Demikian, mohon bantuannya mba. Terimakasih.

Salam,

Ika

History

#1 - 03/14/2022 09:40 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from High to Immediate

#2 - 03/16/2022 10:30 AM - Tri Rizqiaty

- Status changed from Assigned to Developing

#3 - 03/16/2022 10:31 AM - Tri Rizqgiaty
- File clipboard-202203161031-asigk.png added
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to ikawati basri

Fixing :

Update SDATATABLEFIELD , sesuai gambar terlampir :

07/03/2025
http://remote.minovais.com:3000/redmine/issues/846
http://remote.minovais.com:61120/

FAIMCOYWAIS- SERVERN,, SDATATABLEFIELD + > lIE *_md_emp_rmdd015 ( - not conn
SELECT TOP {2007 TableMarne, FieldMame, Default'alue, IsRequired, IsHidden, ReadCOnly, ColumnMo, Sequence, Gridview, YalueField, DisplayWalue, LookupGrid, LookupFilter, LookupFunction, IsCust
PararnCornbo, TriggerCombao, CreateBy, CreateDate, ChangeBy, ChangeDate
FROM SDATATABLEFIELD
WHERE (TableMarne = 'POSTMABSENOUOTA" AMD (FieldMarne = 'EndDeductionbdonth’) OR
(TableMarme = 'PDSTMABSENQUOTA" AND (FieldMarme = "StartDeductionhdanth’) OR
(TableMarne = 'PDSTMABSEMOUOTA" AMD (FieldMame = % 0SFrom’y OR
(TableMarne = 'PDSTMABSENQUOTA" AND (FieldMarme = YOSToY

£
TabhleMame FieldMame Defaultyalue |sRequired IsHidden ReadOnly Columnho Sequence Gridyiew WalueField
PDSTHMABSENOUOTA, EndDeductiontonth 0 0 0 0 2 7 1 0
PDSTMABSENOUOTA StartDeductionhaonth 0 0 0 0 2 4 1 0
PDSTRABSENOQUOTA YO 5From Q 1 0 0 1 10 1 0
PDSTHMABSENOUOTA Y0 5To a9 1 0 0 il 1 i 0

[ MULL MULL MULL MULL MULL MULL MULL MULL MULL

#4 - 03/16/2022 06:18 PM - ikawati basri

Mba Yooma,

Setelah saya testing, sepertinya belum ada filter agar yang digenerate hanya untuk employee yang masih aktif saja. Karena yang tadi saya testing,
masih tergenerate juga kuota cuti untuk employee yang sudah withdrawn. Mungkin perlu dibuatkan validasi agar yang tergenarate hanya employee
yang aktif saja.

Terimakasih.

#5 - 03/28/2022 11:00 AM - ikawati basri
- Status changed from QA Test to Closed
clipboard-202203161031-asigk.png 28 KB 03/16/2022 Tri Rizgiaty
